Page MenuHomePhabricator

Add protocol before shortened URLs, both at Meta and the Wikidata Query Engine
Closed, ResolvedPublic

Description

The MediaWiki-extensions-UrlShortener is awesome, but I have already found myself annoyed at having to manually type the https:// before sharing shortened urls anywhere. I know it looks less crisp and friendly, but I would highly recommend including the https:// when shortened URLs are generated at https://meta.wikimedia.org/wiki/Special:UrlShortener, in the Wikidata query engine, and elsewhere.


Example 1. Very happy with this shortened link, but I will have to manually type https:// preceding it, in order to make the link clickable and usable by my intended audiences.


Example 2. I created [[ w.wiki/3VR | this nice query ]] for a workshop but I have to manually type https:// in front of the shortened URL in order to make it clickable in my session notes for my workshop participants. See the irony: even to make that link clickable here on Phab I have to manually type https:// in front of it! ;-)

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 30 2019, 9:05 AM
SandraF_WMF renamed this task from Add https:// before all shortened URLs, both https://meta.wikimedia.org/wiki/Special:UrlShortener and the Wikidata Query Engine to Add https:// before all shortened URLs, both at https://meta.wikimedia.org/wiki/Special:UrlShortener and the Wikidata Query Engine.Apr 30 2019, 9:06 AM
SandraF_WMF updated the task description. (Show Details)
Ammarpad renamed this task from Add https:// before all shortened URLs, both at https://meta.wikimedia.org/wiki/Special:UrlShortener and the Wikidata Query Engine to Add protocol before shortened URLs, both at Meta and the Wikidata Query Engine.Apr 30 2019, 12:18 PM

After adding https:// before all shortened URLs, could it be added into a new " shortener links" on menu bar in Wikipedia?

...could it be added into a new " shortener links" on menu bar in Wikipedia?

Do you mean to add a link to [[m:Special:UrlShortener]] at the left sidebar?

Hi Ammarpad, I meant to add a "button ( Wiki URL)" " (like "Cite" / "Link") on the menu bar on top or as one of drop down list on the "More" section of the Wikipedia page so editors dont need to go to WikiMedia page to get the URL shorten.

Hi Ammarpad, I meant to add a "button ( Wiki URL)" " (like "Cite" / "Link") on the menu bar on top or as one of drop down list on the "More" section of the Wikipedia page so editors dont need to go to WikiMedia page to get the URL shorten.

I understand now. You've to open a separate feature request for that.

Quiddity added a subscriber: Quiddity.

Change 510862 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[operations/mediawiki-config@master] Add https:// to w.wiki

https://gerrit.wikimedia.org/r/510862

Change 510862 merged by jenkins-bot:
[operations/mediawiki-config@master] Add https:// to w.wiki

https://gerrit.wikimedia.org/r/510862

Mentioned in SAL (#wikimedia-operations) [2019-05-18T18:50:15Z] <krinkle@deploy1001> Synchronized wmf-config/CommonSettings.php: T222146 / 9385b2dd66 (duration: 00m 50s)

Krinkle closed this task as Resolved.May 18 2019, 6:53 PM
Krinkle claimed this task.
Krinkle added a subscriber: Krinkle.